cURL
curl https://api.neuraldraft.io/v1/projects/me/api-keys \
-H "Authorization: Bearer ndsk_live_yourkey"const keys = await nd.projects.apiKeys.list();
keys = requests.get(
"https://api.neuraldraft.io/v1/projects/me/api-keys",
headers={"Authorization": f"Bearer {key}"},
).json()["data"]
<?php
$keys = json_decode((string) $client->get('projects/me/api-keys', [
'headers' => ['Authorization' => 'Bearer '.$key],
])->getBody(), true)['data'];
{
"data": [
{
"id": "key_2NfQB5GdkY9P",
"name": "Production server",
"prefix": "ndsk_live_",
"masked": "ndsk_live_…7yQp",
"scopes": [
"content:read",
"content:write",
"commerce:read"
],
"last_used_at": "2026-04-19T08:14:02Z",
"created_at": "2026-02-14T09:32:00Z"
},
{
"id": "key_2NgZBcmNop12",
"name": "Lovable build session",
"prefix": "ndsk_live_",
"masked": "ndsk_live_…aA12",
"scopes": [
"*"
],
"last_used_at": null,
"created_at": "2026-04-12T13:02:11Z"
}
]
}{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}Projects
List API keys
Lists all API keys belonging to the current project. The full secret
value is only shown once — at creation time. This endpoint returns
masked previews (ndsk_live_…XYZ).
GET
/
projects
/
me
/
api-keys
cURL
curl https://api.neuraldraft.io/v1/projects/me/api-keys \
-H "Authorization: Bearer ndsk_live_yourkey"const keys = await nd.projects.apiKeys.list();
keys = requests.get(
"https://api.neuraldraft.io/v1/projects/me/api-keys",
headers={"Authorization": f"Bearer {key}"},
).json()["data"]
<?php
$keys = json_decode((string) $client->get('projects/me/api-keys', [
'headers' => ['Authorization' => 'Bearer '.$key],
])->getBody(), true)['data'];
{
"data": [
{
"id": "key_2NfQB5GdkY9P",
"name": "Production server",
"prefix": "ndsk_live_",
"masked": "ndsk_live_…7yQp",
"scopes": [
"content:read",
"content:write",
"commerce:read"
],
"last_used_at": "2026-04-19T08:14:02Z",
"created_at": "2026-02-14T09:32:00Z"
},
{
"id": "key_2NgZBcmNop12",
"name": "Lovable build session",
"prefix": "ndsk_live_",
"masked": "ndsk_live_…aA12",
"scopes": [
"*"
],
"last_used_at": null,
"created_at": "2026-04-12T13:02:11Z"
}
]
}{
"type": "https://api.neuraldraft.io/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "API key missing or invalid.",
"code": "unauthorized",
"instance": "req_2Nh4PqRsTuVw"
}Authorizations
Project API key. Pass as Authorization: Bearer ndsk_live_.... Manage
keys via /projects/me/api-keys. Test-mode keys use
the ndsk_test_ prefix.
Response
Array of keys.
Show child attributes
Show child attributes